Package com.enonic.xp.page

## Class PageTemplate

- java.lang.Object
- - com.enonic.xp.content.Content
  - - com.enonic.xp.page.PageTemplate

-     @PublicApi
      public final class PageTemplate
      extends Content

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PageTemplate.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canRender​(ContentTypeName name)` |
    `static PageTemplate.Builder` | `copyOf​(PageTemplate pageTemplate)` |
    `ContentTypeNames` | `getCanRender()` |
    `PropertyTree` | `getConfig()` |
    `DescriptorKey` | `getController()` |
    `PageTemplateKey` | `getKey()` |
    `PageRegions` | `getRegions()` |
    `boolean` | `hasRegions()` |
    `static PageTemplate.Builder` | `newPageTemplate()` |

    - ### Methods inherited from class com.enonic.xp.content.Content

      `create, create, create, equals, getAllExtraData, getArchivedBy, getArchivedTime, getAttachments, getChildOrder, getContentState, getCreatedTime, getCreator, getData, getDisplayName, getId, getInherit, getLanguage, getManualOrderValue, getModifiedTime, getModifier, getName, getOriginalName, getOriginalParentPath, getOriginProject, getOwner, getPage, getParentPath, getPath, getPermissions, getProcessedReferences, getPublishInfo, getThumbnail, getType, getValidationErrors, getVariantOf, getWorkflowInfo, hasChildren, hasExtraData, hashCode, hasPage, hasThumbnail, inheritsPermissions, isPageTemplate, isRoot, isSite, isValid`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getKey

          public PageTemplateKey getKey()

    - #### getConfig

          public PropertyTree getConfig()

    - #### getController

          public DescriptorKey getController()

    - #### getCanRender

          public ContentTypeNames getCanRender()

    - #### canRender

          public boolean canRender​(ContentTypeName name)

    - #### hasRegions

          public boolean hasRegions()

    - #### getRegions

          public PageRegions getRegions()

    - #### newPageTemplate

          public static PageTemplate.Builder newPageTemplate()

    - #### copyOf

          public static PageTemplate.Builder copyOf​(PageTemplate pageTemplate)